<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    public function up(): void
    {
        Schema::table('calendar_meta', function (Blueprint $table) {
            $table->unsignedInteger('mirror_calendar_id')
                  ->nullable()
                  ->after('subscription_id');
        });
    }

    public function down(): void
    {
        Schema::table('calendar_meta', function (Blueprint $table) {
            $table->dropColumn('mirror_calendar_id');
        });
    }
};
